<?php if (!defined('BASEPATH')) exit('No direct script access allowed');

class Admin_auth
{
	function __construct()
	{
		$this->ci =& get_instance();
	}

	function login($username, $password)
	{
		return $this->ci->admins_model->login($username, $password);
	}

	function logout()
	{
		return $this->ci->admins_model->logout();
	}

	function has_access($table,$action)
	{
		return $this->ci->admins_model->has_access($table,$action);
	}

	function password_strength($password)
	{
		return $this->ci->admins_model->password_strength($password);
	}

	function username_unique($username,$id)
	{
		return $this->ci->admins_model->username_unique($username,$id);
	}	
}
/* End of file Admin_auth.php */
/* Location: ./application/libraries/Admin_auth.php */